*{
  font-family: Arial, Helvetica, sans-serif;
}

body{
    color:white;
    margin:0;
    padding:0;
    background-color: rgb(18, 18, 18);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

p{
  font-family: Roboto, arial;
}

header{
    background-color: black;
    height:80px;
    align-content: center;
    
}

h1{
    text-align: center;
    margin:0;
    font-size:40px;
}

main{
    display:flex;
    flex-direction: column;
    align-items: center;
}

#contenedor{
  margin-top: 30px;
  display: flex;
  flex-direction: column;
}

h2{
  font-size: 34px;
  text-align: center;

}

table{
  border-collapse: collapse;
  margin:20px;
}

th, td{
  border: 1px solid rgb(255, 255, 255);
  padding:10px;
  text-align: center;
}


#boton-div{
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    font-weight: 700;
    padding-bottom: 30px;

}
.boton-div-sma{
  display: flex;
  align-items: center;
  gap:10px;
}

#inputCol, #generarTabl{
  margin-right: 20px;
}

input{
    border-radius: 10px;
    border:none;
    background-color: black;
    color: white;
    padding:0px 10px;
    width:50px;
    height:40px;
    
}

button{
    padding:10px 16px;
    background-color: black;
    border:none;
    color:white;
    border-radius: 50px;
    font-size: 16px;
    font-weight: 700;
}



button:hover{
    cursor:pointer;
    background-color: rgb(68, 68, 68);
    color:rgb(255, 255, 255);
}



footer{
  margin-top: auto;
  background-color: black;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding:20px 0px 4px 0;
  font-style: italic;
}

span a{
  color: white;
  text-decoration: none;
}
span a:hover{
  text-decoration: underline;
}



.derechos-txt{
  padding:10px
}

.botones{
  height:50px;
}

.boton{
  height: 100%;
}

.aviso{
  color:red;
  font-weight: 700;
}